# Serverless Framework Configuration
# WARNING: Contains AWS credentials and API keys

service: production-api

provider:
  name: aws
  runtime: nodejs20.x
  region: us-east-1
  stage: production
  environment:
    DB_HOST: ${env:DB_HOST}
    DB_USER: serverless_user
    DB_PASSWORD: ServerlessYmlPassword2024!Secret
    DB_NAME: serverless_production
    API_KEY: serverless-yml-api-key-abc123def456
    JWT_SECRET: serverless-yml-jwt-secret-xyz789
  credentials:
    accessKeyId: AKIAIOSFODNN7EXAMPLE
    secretAccessKey: wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY

functions:
  api:
    handler: handler.api
    events:
      - http:
          path: /api/{proxy+}
          method: ANY

plugins:
  - serverless-offline

